package com.iformall.domain.po;

import cn.binarywang.wx.miniapp.bean.WxMaTemplateData;
import java.util.List;

/**
 * 微信小程序消息
 * @author luozukai
 * @date 2019/3/7 10:05
 */
public class SmartAppMsg extends BaseMsg {
    private static final long serialVersionUID = 223232132183760321L;

    //小程序的appId
    private String appId;
    private String tenantId;
    private String to;
    private String from;
    private Integer templateType;
    private String gotopage;
    private String emphasisKeyword;
    private List<WxMaTemplateData> templateDataList;

    public String getAppId() {
        return appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public String getEmphasisKeyword() {
        return emphasisKeyword;
    }

    public void setEmphasisKeyword(String emphasisKeyword) {
        this.emphasisKeyword = emphasisKeyword;
    }

    public String getGotopage() {
        return gotopage;
    }

    public void setGotopage(String gotopage) {
        this.gotopage = gotopage;
    }

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    public String getTo() {
        return to;
    }

    public void setTo(String to) {
        this.to = to;
    }

    public String getFrom() {
        return from;
    }

    public void setFrom(String from) {
        this.from = from;
    }

    public Integer getTemplateType() {
        return templateType;
    }

    public void setTemplateType(Integer templateType) {
        this.templateType = templateType;
    }

    public List<WxMaTemplateData> getTemplateDataList() {
        return templateDataList;
    }

    public void setTemplateDataList(List<WxMaTemplateData> templateDataList) {
        this.templateDataList = templateDataList;
    }
}
